SHR DBus Interface Specification

# org.shr.phonefso.Usage

## Description

Unknown

## Namespace

`org.shr.phonefso.Usage`

## Methods

- SetOfflineMode
- GetOfflineMode
- SetDefaultBrightness
- GetDefaultBrightness
- SetPdpCredentials
- SetPin

## Signals

None

## Errors

None

# Methods

### SetOfflineMode ( b )

#### Parameters

b: state

### GetOfflineMode ( ) → b

#### Returns

b: state

### SetDefaultBrightness ( i )

#### Parameters

i: brightness

### GetDefaultBrightness ( ) → i

#### Returns

i: brightness

### SetPdpCredentials ( sss )

#### Parameters

s: apn

s: user

s: password

### SetPin ( s )

#### Parameters

s: pin

| Specified 2009 by the SHR team. | Join us and discuss further drafts shr-devel (at) shr-project (dot) org